Open-AudIT
https://www.open-audit.org/phpBB3/

upgrade.php has outdated version
https://www.open-audit.org/phpBB3/viewtopic.php?f=5&t=3437
Page 1 of 1

Author:  kilgor [ Fri Oct 02, 2009 5:07 pm ]
Post subject:  upgrade.php has outdated version

Hi,

The upgrade.php script's modify_config function has not been updated for the last three sql version changes making open-audit believe the sql database is always outdated and failing to update it every time. It is cosmetical but at the same time won't confuse users. Here's the simple fix and the updated upgrade.php attached in a zip file:

Code:
$ svn diff upgrade.php
Index: upgrade.php
===================================================================
--- upgrade.php (revision 1188)
+++ upgrade.php (working copy)
@@ -582,8 +582,6 @@
                                `ldap_connections_password` = AES_ENCRYPT(AES_DECRYPT(`ldap_connections_password`,'".$old_aes_key."'),'".$aes_key."')";
 $result = mysql_query($sql);

-modify_config("version", "09.03.17");
-
 // *************  Version 09.05.05 *******************************************************************
 $sql = "ALTER TABLE `ldap_connections` ADD COLUMN `ldap_connections_use_ssl` tinyint(1) NOT NULL default '0';";
 upgrade ($version,"09.05.05", $sql);
@@ -603,6 +601,8 @@

 // ************************************************************************************************

+modify_config("version", "09.09.03");
+
 set_time_limit (30);

 ?>


Attachments:
File comment: upgrade.php
upgrade.php.zip [6.25 KiB]
Downloaded 173 times

Page 1 of 1 All times are UTC + 10 hours
Powered by phpBB® Forum Software © phpBB Group
https://www.phpbb.com/